.sidebar a.router-link-active {
  background-color: #00a2fa;
}

.sidebar a:hover.router-link-active {
  background-color: #00a2fa !important;
}

.md-table-sortable-icon {
  position: static !important;
}

.md-list-item {
  z-index: auto !important;
}

.md-list .md-ripple {
  z-index: auto !important;
}

.md-menu-content.md-select-menu {
  z-index: 99999 !important;
}

.form-control-static {
  padding-top: 18px !important;
}

.md-textarea {
  padding: 10px 0 0 0 !important;
}

.md-checkbox .md-checkbox-label {
  color: #484a4a !important;
}

.md-radio .md-radio-label {
  color: #484a4a !important;
}

.md-error-hint {
  color: red !important;
}

.md-error.md-has-textarea:not(.md-autogrow):before {
  border-bottom: 2px solid transparent;
  border-color: red !important;
}

.input-label span {
  color: #696969;
}

.card-title {
  font-size: 22px !important;
}

.tb-img-border {
  max-height: 100px;
  width: auto !important;
  min-width: 50px;
  border: 1px solid #ccc;
  margin: 1px;
}

.user-icon-border {
  border-radius: 50%;
  max-height: 50px;
  width: auto !important;
  min-width: 30px;
  border: 1px solid #ccc;
  margin: 1px;
}
.user-icon-border-large {
  border-radius: 50%;
  max-height: 100px;
  width: auto !important;
  min-width: 100px;
  margin: 1px;
}

.tb-img-no-border {
  max-height: 100px;
  width: auto !important;
  min-width: 50px;
  margin: 1px;
}

.event-img-border {
  height: 160px !important;
  width: 307px !important;
  object-fit: cover !important;
  border: 1px solid #ccc;
}

.event-img-cover {
  width: auto !important;
  min-width: 100px;
  border: 1px solid #ccc;
}

.event-tb-img-border {
  max-height: 137px;
  min-width: 260px;
  max-width: 260px;
  border-radius: 15px;
}

.event-description {
  font-size: 16px;
  line-height: 200%;
}

.time-line-icon {
  border-radius: 50%;
  width: 80px !important;
  height: 80px !important;
  overflow: hidden;
  overflow-x: hidden;
  overflow-y: hidden;
  float: left;
  z-index: 5;
  border-radius: 50%;
  -webkit-box-shadow: 0 16px 38px -12px rgba(0, 0, 0, 0.56),
    0 4px 25px 0 rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(0, 0, 0, 0.2);
  box-shadow: 0 16px 38px -12px rgba(0, 0, 0, 0.56),
    0 4px 25px 0 rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(0, 0, 0, 0.2);
  zoom: 1.3;
}
.simple-border-button {
  border: 1px solid #00a2fa;
}

.time-line-icon img {
  width: 80px !important;
  height: 80px !important;
}

.large-font-size {
  font-size: 1.1em;
}

.tb-vertical-middle {
  vertical-align: middle !important;
}

.tb-text-left {
  text-align: left !important;
}

.tb-text-center {
  text-align: center;
}
.tb-text-right {
  text-align: right;
}

.tb-left {
  float: left;
}

.tb-right {
  float: right;
}

.tb-clear {
  clear: both;
}

.tb-alert-danger {
  background: #fff8f7 !important;
  position: relative;
  padding: 0.75rem 1.25rem;
  margin: 1rem;
  border: 1px solid #f5c2c7;
  border-radius: 0.25rem;
  font-size: 14px;
}

.tb-alert-warning {
  background: #fffff0 !important;
  position: relative;
  padding: 0.75rem 1.25rem;
  margin: 1rem;
  border: 1px solid #ffeeba;
  border-radius: 0.25rem;
  font-size: 14px;
}

.tb-alert-warning a.latest-article {
  font-weight: 300;
}

.class-end {
  background-color: #000000;
  color: white;
  padding: 1px 10px;
  display: inline-block;
  border-radius: 3px;
  margin-left: 4px;
}

.event-head {
  background-color: #253458;
  color: white;
  padding: 1px 10px;
  border-radius: 3px;
}

.event-badge {
  background: #34a03a;
  padding: 4px 8px;
  border-radius: 6px;
  color: white;
}

.text-hover:hover {
  color: #0e7ac4;
}

.cp_hover {
  overflow: hidden;
  cursor: pointer;
}

/*zoomin*/
.cp_zoomin img {
  -webkit-transition: all 0.5s ease;
  transition: all 0.5s ease;
}
.cp_zoomin img:hover {
  -webkit-transform: scale(1.1, 1.1);
  transform: scale(1.1, 1.1);
  opacity: 0.7;
}

.img-hover a:hover img {
  opacity: 0.7;
}

.event-border {
  border-top: 1px solid #e9e9e9;
}

.font-bold {
  font-weight: bold;
}

.capacity-bg-color {
  background-color: #efefef;
}

.inline-block {
  display: inline-block;
}

.pageheader-search-form {
  position: relative;
}

.pageheader-search-btn {
  position: absolute;
  top: 5px;
  right: 3px;
  padding: 0px 8px;
  color: #a9aab9;
  padding: 0px;
  margin: 0px;
  min-width: 50px !important;
  height: 40px;
}
.input-search-btn {
  position: absolute;
  top: 9px;
  left: 3px;
  padding: 0 !important;
  color: #a9aab9;
  padding: 0px;
  margin: 0px;
  min-width: 30px !important;
  height: 30px;
}
.input-search {
  height: 24px;
  font-size: 14px;
  border: 1px solid #bcbcbc;
  border-radius: 5px;
  padding-left: 30px;
  width: 240px;
}
.icon-size-20 {
  font-size: 20px !important;
  height: 20px !important;
  width: 20px !important;
}
.icon-size-16 {
  font-size: 16px !important;
  height: 16px !important;
  width: 16px !important;
}

.icon-size-14 {
  font-size: 14px !important;
  height: 14px !important;
  width: 14px !important;
}
.icon-size-12 {
  font-size: 12px !important;
  height: 12px !important;
  width: 12px !important;
}

.font-size-14 {
  font-size: 14px !important;
}
.font-gray {
  color: #797979 !important;
}
.font-red {
  color: #ff7878 !important;
}
.border-gray {
  color: #bcbcbc !important;
}

.w-25 {
  width: 25% !important;
}

.w-50 {
  width: 50% !important;
}

.w-75 {
  width: 75% !important;
}

.w-100 {
  width: 100% !important;
}

.w-auto {
  width: auto !important;
}

.h-25 {
  height: 25% !important;
}

.h-50 {
  height: 50% !important;
}

.h-75 {
  height: 75% !important;
}

.h-100 {
  height: 100% !important;
}

.h-auto {
  height: auto !important;
}

.mw-100 {
  max-width: 100% !important;
}

.mh-100 {
  max-height: 100% !important;
}

.m-0 {
  margin: 0 !important;
}

.mt-0,
.my-0 {
  margin-top: 0 !important;
}

.mr-0,
.mx-0 {
  margin-right: 0 !important;
}

.mb-0,
.my-0 {
  margin-bottom: 0 !important;
}

.ml-0,
.mx-0 {
  margin-left: 0 !important;
}

.m-1 {
  margin: 0.25rem !important;
}

.mt-1,
.my-1 {
  margin-top: 0.25rem !important;
}

.mr-1,
.mx-1 {
  margin-right: 0.25rem !important;
}

.mb-1,
.my-1 {
  margin-bottom: 0.25rem !important;
}

.ml-1,
.mx-1 {
  margin-left: 0.25rem !important;
}

.m-2 {
  margin: 0.5rem !important;
}

.mt-2,
.my-2 {
  margin-top: 0.5rem !important;
}

.mr-2,
.mx-2 {
  margin-right: 0.5rem !important;
}

.mb-2,
.my-2 {
  margin-bottom: 0.5rem !important;
}

.ml-2,
.mx-2 {
  margin-left: 0.5rem !important;
}

.m-3 {
  margin: 1rem !important;
}

.mt-3,
.my-3 {
  margin-top: 1rem !important;
}

.mr-3,
.mx-3 {
  margin-right: 1rem !important;
}

.mb-3,
.my-3 {
  margin-bottom: 1rem !important;
}

.ml-3,
.mx-3 {
  margin-left: 1rem !important;
}

.m-4 {
  margin: 1.5rem !important;
}

.mt-4,
.my-4 {
  margin-top: 1.5rem !important;
}

.mr-4,
.mx-4 {
  margin-right: 1.5rem !important;
}

.mb-4,
.my-4 {
  margin-bottom: 1.5rem !important;
}

.ml-4,
.mx-4 {
  margin-left: 1.5rem !important;
}

.m-5 {
  margin: 3rem !important;
}

.mt-5,
.my-5 {
  margin-top: 3rem !important;
}

.mr-5,
.mx-5 {
  margin-right: 3rem !important;
}

.mb-5,
.my-5 {
  margin-bottom: 3rem !important;
}

.ml-5,
.mx-5 {
  margin-left: 3rem !important;
}

.p-0 {
  padding: 0 !important;
}

.pt-0,
.py-0 {
  padding-top: 0 !important;
}

.pr-0,
.px-0 {
  padding-right: 0 !important;
}

.pb-0,
.py-0 {
  padding-bottom: 0 !important;
}

.pl-0,
.px-0 {
  padding-left: 0 !important;
}

.p-1 {
  padding: 0.25rem !important;
}

.pt-1,
.py-1 {
  padding-top: 0.25rem !important;
}

.pr-1,
.px-1 {
  padding-right: 0.25rem !important;
}

.pb-1,
.py-1 {
  padding-bottom: 0.25rem !important;
}

.pl-1,
.px-1 {
  padding-left: 0.25rem !important;
}

.p-2 {
  padding: 0.5rem !important;
}

.pt-2,
.py-2 {
  padding-top: 0.5rem !important;
}

.pr-2,
.px-2 {
  padding-right: 0.5rem !important;
}

.pb-2,
.py-2 {
  padding-bottom: 0.5rem !important;
}

.pl-2,
.px-2 {
  padding-left: 0.5rem !important;
}

.p-3 {
  padding: 1rem !important;
}

.pt-3,
.py-3 {
  padding-top: 1rem !important;
}

.pr-3,
.px-3 {
  padding-right: 1rem !important;
}

.pb-3,
.py-3 {
  padding-bottom: 1rem !important;
}

.pl-3,
.px-3 {
  padding-left: 1rem !important;
}

.p-4 {
  padding: 1.5rem !important;
}

.pt-4,
.py-4 {
  padding-top: 1.5rem !important;
}

.pr-4,
.px-4 {
  padding-right: 1.5rem !important;
}

.pb-4,
.py-4 {
  padding-bottom: 1.5rem !important;
}

.pl-4,
.px-4 {
  padding-left: 1.5rem !important;
}

.p-5 {
  padding: 3rem !important;
}

.pt-5,
.py-5 {
  padding-top: 3rem !important;
}

.pr-5,
.px-5 {
  padding-right: 3rem !important;
}

.pb-5,
.py-5 {
  padding-bottom: 3rem !important;
}

.pl-5,
.px-5 {
  padding-left: 3rem !important;
}

.m-auto {
  margin: auto !important;
}

.mt-auto,
.my-auto {
  margin-top: auto !important;
}

.mr-auto,
.mx-auto {
  margin-right: auto !important;
}

.mb-auto,
.my-auto {
  margin-bottom: auto !important;
}

.ml-auto,
.mx-auto {
  margin-left: auto !important;
}

/**
 Button Colors
 */
.bc-0 {
  color: #2976b1 !important;
}
.bc-1 {
  color: #fc802d !important;
}
.bc-2 {
  color: #34a03a !important;
}
.bc-3 {
  color: #d3282f !important;
}
.bc-4 {
  color: #9366b9 !important;
}
.bc-5 {
  color: #8a564d !important;
}
.bc-6 {
  color: #e177bf !important;
}
.bc-7 {
  color: #7f7f7f !important;
}
.bc-8 {
  color: #bbbd3e !important;
}
.bc-9 {
  color: #2ebecd !important;
}
.bc-10 {
  color: #00a2fa !important;
}
.bc-11 {
  color: #e93a83 !important;
}

/**
 vue-search-select
 */
.ui.fluid.dropdown {
  margin-top: 10px !important;
  margin-bottom: 10px !important;
  padding-left: 0px !important;
}

.ui.fluid.dropdown {
  border-top: none !important;
  border-left: none !important;
  border-right: none !important;
  border-radius: 0px !important;
  position: relative;
  margin-top: 12px !important;
}

.ui.selection.active.dropdown .menu {
  border-color: white !important;
}

.ui.selection.active.dropdown:hover .menu {
  border-color: white !important;
}

.ui.search.selection.dropdown > input.search {
  padding-left: 0px !important;
  font-size: 14px !important;
  border: none !important;
  width: 100% !important;
  position: absolute !important;
  top: 0;
}

.ui.search.selection.dropdown > .text {
  position: relative;
}

.ui.dropdown .menu > .item {
  font-size: 14px !important;
}

.ui.dropdown .menu > .item:hover {
  font-size: 14px !important;
}

.ui.dropdown .menu > .item.current {
  font-size: 14px !important;
}

@media screen and (max-width: 600px) {
  .input-label {
    text-align: left !important;
  }
  .time-line-icon {
    width: 60px !important;
    height: 60px !important;
  }

  .time-line-icon img {
    width: 60px !important;
    height: 60px !important;
  }
}

.main-panel > .content {
  padding: 0px 15px 30px 15px !important;
}

.hide-table-head thead {
  display: none;
}

@media screen and (min-width: 600px) {
  .md-card {
    padding: 48px 48px !important;
  }
  .md-card-header {
    margin: 0 0 48px 0 !important;
    padding: 0 !important;
  }
  .md-card-content {
    margin: 0 !important;
    padding: 0 !important;
  }
  .md-card-actions {
    margin: 24px 0 0 0 !important;
  }
  .md-card .md-toolbar {
    padding: 15px 10px !important;
  }
  .md-card .md-toolbar {
    padding: 0 !important;
  }
  .md-button-content {
    font-size: 17px;
  }
  .input-search {
    width: 375px;
  }
}
.md-card {
  margin: 20px 0 !important;
  padding: 14px;
}
.md-card-login {
  margin: 112px auto 56px !important;
  padding: 0 !important;
}
.md-card-login .md-card-header {
  margin: -20px 15px !important;
  padding: 15px !important;
  z-index: 2 !important;
}
.md-card-login .md-card-content {
  margin: -20px 0 !important;
  padding: 50px 20px 15px !important;
}
.md-card-login .md-card-actions {
  margin: 0 15px 10px !important;
}
.md-card-login .md-card-actions .md-button-content {
  font-size: 12px;
}
.md-toolbar.top-toolbar {
  -webkit-backdrop-filter: blur(24px);
  -webkit-box-align: center;
  -webkit-box-direction: normal;
  -webkit-box-orient: horizontal;
  padding: 0 !important;
  position: fixed !important;
  background: hsla(0,0%,100%,.8) !important;
}
.card-title {
  font-size: 26px;
  margin-right: 48px;
  margin-top: 0;
  font-weight: bold;
  line-height: 39px;
}
.md-button-content {
  font-weight: 500;
}
.bread-crum i {
  margin-left: 4px;
}
.alert-card {
  color: #ffffff !important;
  background: linear-gradient(60deg, #ef5350, #e53935);
  border-radius: 6px;
}

.alert-card .md-card-content {
  margin: 0 !important;
}

.alert-card a {
  color: #ffffff !important;
}

.warning-card {
  color: #ffffff !important;
  background: linear-gradient(60deg, #ffa726, #fb8c00);
  border-radius: 6px;
}

.warning-card .md-card-content {
  margin: 0 !important;
}

.warning-card a {
  color: #ffffff !important;
}

.accent-link a {
  color: #212121 !important;
}

.accent-link a:hover {
  color: #212121 !important;
  text-decoration: underline !important;
}

.md-checkbox {
  border-color: #bcbcbc;
}

.md-checkbox.md-theme-default .md-checkbox-container {
  border-color: #bcbcbc;
}

tr {
  border-color: #bcbcbc !important;
}

.simple-select {
  height: 40px;
  box-sizing: border-box;
  background: #fff;
  border: #bcbcbc 1px solid;
  margin: auto 0;
}

.table {
  width: 100%;
}

.table,
.table th,
.table td {
  border-collapse: collapse;
  border: 1px solid #ccc;
  line-height: 1.5;
}

.table th {
  padding: 10px;
  font-weight: bold;
  vertical-align: top;
  background: #f0f0f0;
}

.table td {
  padding: 10px;
  vertical-align: top;
}

/**
 Classroom Table
 */
.classroom-table-date-cell {
  width: 154px;
  min-width: 154px;
}

.classroom-table-date-container {
  text-align: center;
  border-right: 1px solid #bcbcbc;
  height: 110px;
}

.classroom-table-date-month {
  font-size: 28px;
  font-weight: bold;
  margin-top: 0;
  margin-bottom: 0;
  padding-top: 20px;
}
.classroom-table-date-day {
  font-size: 46px;
  font-weight: bold;
  margin-top: 0;
  margin-bottom: 0;
  padding-top: 25px;
}

.classroom-table-main-container {
  text-align: left;
  vertical-align: top;
  padding: 0 20px;
}

.classroom-title {
  font-size: 24px;
}

.classroom-table-icon-cell {
  width: 70px;
}
.scenario-list-name {
  font-size: 32px;
  font-weight: bold;
  display: inline-block;
  color: black;
}
/**
  vue-tags-input
*/
.ti-input {
  border: none !important;
}
.vue-tags-input {
  width: 100% !important;
  max-width: 100% !important;
}
.ti-tag,
.ti-selected-item {
  background-color: #00a2fa !important;
  color: #ffffff !important;
  font-size: 14px !important;
}

/**
  md-default-toolbar
*/
.md-default-toolbar {
  background: none !important;
  box-shadow: none !important;
}

.md-default-toolbar > .md-title {
  color: #3c4858 !important;
  font-weight: bold;
}

.md-default-toolbar > .md-title img {
  height: 50px !important;
  width: 50px !important;
  margin-right: 10px;
}

/**
  md-default-card
*/
.md-default-card {
  padding: 0 !important;
}
.md-default-card > .md-card-header {
  padding: 20px !important;
  margin: 0 !important;
}
.md-default-card > .md-card-content {
  padding: 0 20px 20px 20px !important;
  margin: 0 !important;
}

.enable-star {
  color: #ffa726 !important;
}

@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@400&display=swap');

.readable-code {
  font-family: 'Roboto Mono', monospace;
}

.text-break {
  word-break: break-all;
}
